/*
 * Convert an string to an integer.
 */

#include <iostream>
#include <stdlib.h>
#include <stdio.h>

using namespace std;

struct AtoI
{
	bool neg;
	int val;
	int curs;
	%% interface;
};

%% AtoI
{
	action begin {
		neg = false;
		val = 0;
	}

	action see_neg {
		neg = true;
	}

	action add_digit { 
		val = val * 10 + (fc - '0');
	}

	action finish {
		if ( neg )
			val = -1 * val;
	}

	atoi = (
		('-'@see_neg | '+')? (digit @add_digit)+
	) >begin %finish;

	main := ( atoi '\n' @{ cout << val << endl; } )*;
}

#define BUFSIZE 1024

int main()
{
	char buf[BUFSIZE];

	AtoI atoi;
	atoi.init();
	while ( fgets( buf, sizeof(buf), stdin ) != 0 ) {
		atoi.execute( buf, strlen(buf) );
	}
	if ( atoi.finish() <= 0 )
		cerr << "atoi: error: parsing input" << endl;
	return 0;
}
